Distribution:   CCux-Linux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		kaffeine 
Version:	1.1
Release:	1
License:	GNU/GPL 
URL:		http://kaffeine.sourceforge.net
Group:		Multimedia/Video
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	kaffeine  is a xine based media player for KDE3. 
Requires:	xine-lib
BuildRequires:  kdelibs-devel
BuildRequires:  automoc4
BuildRequires:  phonon-devel
BuildRequires:  libXScrnSaver-devel

BuildRequires:  libart_lgpl-devel
BuildRequires:  glibc-devel
BuildRequires:  fam-devel
BuildRequires:  freetype-devel
BuildRequires:  libpng-devel
BuildRequires:  libjpeg-devel
BuildRequires:  pcre-devel
BuildRequires:  libstdc++-devel
BuildRequires:	xine-lib-devel 
BuildRequires:  kernel-devel 
BuildRequires:	libidn-devel 
BuildRequires:  lame-devel 
BuildRequires:  libogg-devel 
BuildRequires:  cdparanoia-III-devel
BuildRequires:  qt4-devel
BuildRequires:  zlib-devel
BuildRequires:  libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXrender-devel
BuildRequires:  libXtst-devel

#Buildconflicts:	qt4-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
kaffeine  is a simple and easy to use media player based on the xine-lib and full integrated in KDE3.
It supports drag and drop and provides an editable playlist, a Konqueror plugin, a Mozilla plugin,
OSD, and much more.
For more details see: http://kaffeine.sourceforge.net
 
%package	devel
Summary: 	%{name} development headers.
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 ||:

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 ||:

%prep
%setup -q -n %{name}-%{version}


%build
mkdir build-i686
pushd build-i686
cmake ../. -DCMAKE_INSTALL_PREFIX=%{_prefix}
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build-i686
make install DESTDIR=$RPM_BUILD_ROOT
popd
mkdir -p $RPM_BUILD_ROOT%_includedir
cp include/*.h $RPM_BUILD_ROOT%_includedir

%files
%defattr(-,root,root)
%{_bindir}/kaffeine
%{_bindir}/kaffeine-xbu
%{_datadir}/applications/kde4/kaffeine.desktop
%{_datadir}/icons/oxygen/*/actions/audio-radio-encrypted.png
%{_datadir}/icons/oxygen/*/actions/video-television-encrypted.png
%{_datadir}/kde4/apps/kaffeine/scanfile.dvb
%{_datadir}/kde4/apps/profiles/kaffeine.profile.xml
%{_datadir}/kde4/apps/solid/actions/kaffeine_play_audiocd.desktop
%{_datadir}/kde4/apps/solid/actions/kaffeine_play_dvd.desktop
%{_datadir}/kde4/apps/solid/actions/kaffeine_play_videocd.desktop
%{_locale}/*/LC_MESSAGES/kaffeine.mo

%files devel
%defattr(-,root,root)
%{_includedir}/dmx.h
%{_includedir}/frontend.h

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jan 02 2011 Karsten Brockmann <arcam@ccux-linux.de> 1.1-1
- Version update
* Tue Sep 01 2008 Christian Wasem <wasem@ccux-linux.de> 1.0-1
- Version update (1.0-pre2), build against libjpeg 7
* Fri Aug 01 2008 Christian Wasem <wasem@ccux-linux.de> 0.8.7-1
- Version update
- rebuild against kdelibs3, kdebase3 renamed packages
* Fri Mar 07 2008 Christian Wasem <wasem@ccux-linux.de> 0.8.6-1
- Version update
* Sun Jul 29 2007 Christian Wasem <wasem@ccux-linux.de> 0.8.5-1
- Version update
* Wed Apr 18 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.8.4-1
- Version update
* Fri Feb 23 2007 Christian Wasem <wasem@ccux-linux.de> 0.8.3-1
- Version update
* Sun Sep 17 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.8.2-1
- version update
* Wed Aug 30 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.8.1-1
- version update
* Mon Apr 03 2006 Christian Metzen <metzench@ccux-linux.de> 0.8-2
- cleaned specfile, rebuilt
* Fri Mar 31 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.8-1
- Version Update to 0.8
* Fri Oct 14 2005 Christian Wasem <wasem@ccux-linux.de> 0.7.1-2
- moved more files to main package
* Sun Sep 04 2005 Christian Wasem <wasem@ccux-linux.de> 0.7.1-1
- Version Update to 0.7.1
* Thu Aug 18 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.7-2
- Added Patch for use with DVB Cards
* Sun Aug 07 2005 Christian Wasem <wasem@ccux-linux.de> 0.7-1
- Version Update to 0.7
* Sun Mar 20 2005 Christian Wasem <wasem@ccux-linux.de> 0.6-1
- Version Update to 0.6
* Wed Jan 19 2005 Christian Metzen <metzench@ccux-linux.de> 0.5-2
- Version Update to 0.5 final
* Wed Nov 24 2004 Christian Wasem <wasem@ccux-linux.de> 0.5-1
- Initial Release
